com.lowagie.text.pdf.codec

## Class PngImage.NewByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - com.lowagie.text.pdf.codec.PngImage.NewByteArrayOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable
  Enclosing class:
    PngImage

      static class PngImage.NewByteArrayOutputStream
      extends java.io.ByteArrayOutputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PngImage.NewByteArrayOutputStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBuf()`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PngImage.NewByteArrayOutputStream

          PngImage.NewByteArrayOutputStream()

  - ### Method Detail

    - #### getBuf

          public byte[] getBuf()